baseURL = "https://strolch.li/"
languageCode = "en-us"
title = "Strolch"
theme = "hugo-theme-learn"
publishDir = "public"

refLinksErrorLevel = "WARNING"

[markup.goldmark.renderer]
unsafe = true

# For search functionality
[outputs]
home = ["HTML", "RSS", "JSON"]

[params]
  # Prefix URL to edit current page. Will display an "Edit this page" button on top right hand corner of every page.
  # Useful to give opportunity to people to create merge request for your doc.
  # See the config.toml file from this documentation site to have an example.
  editURL = "https://github.com/strolch-li/strolch-website/tree/develop/content/"
  # Author of the site, will be used in meta information
  author = "Robert von Burg"
  # Description of the site, will be used in meta information
  description = "Strolch is a parameterized framework for use on servers and IoT "
  # Shows a checkmark for visited pages on the menu
  showVisitedLinks = false
  # Disable search function. It will hide search bar
  disableSearch = false
  # Javascript and CSS cache are automatically busted when new version of site is generated.
  # Set this to true to disable this behavior (some proxies don't handle well this optimization)
  disableAssetsBusting = false
  # Set this to true to disable copy-to-clipboard button for inline code.
  disableInlineCopyToClipBoard = false
  # A title for shortcuts in menu is set by default. Set this to true to disable it.
  disableShortcutsTitle = false
  # If set to false, a Home button will appear below the search bar on the menu.
  # It is redirecting to the landing page of the current language if specified. (Default is "/")
  disableLandingPageButton = false
  # When using mulitlingual website, disable the switch language button.
  disableLanguageSwitchingButton = false
  # Hide breadcrumbs in the header and only show the current page title
  disableBreadcrumb = false
  # If set to true, prevents Hugo from including the mermaid module if not needed (will reduce load times and traffic)
  disableMermaid = false
  # Specifies the remote location of the mermaid js
  customMermaidURL = "https://unpkg.com/mermaid@8.8.0/dist/mermaid.min.js"
  # Hide Next and Previous page buttons normally displayed full height beside content
  disableNextPrev = false
  # Order sections in menu by "weight" or "title". Default to "weight"
  ordersectionsby = "weight"
  # Change default color scheme with a variant one. Can be "red", "blue", "green".
  themeVariant = "green"
  # Provide a list of custom css files to load relative from the `static/` folder in the site root.
  # custom_css = ["css/foo.css", "css/bar.css"]
  # Change the title separator. Default to "::".
  titleSeparator = " - "

[imaging]
    # Default resample filter used for resizing. Default is Box,
    # a simple and fast averaging filter appropriate for downscaling.
    # See https://github.com/disintegration/imaging
    resampleFilter = "box"

    # Default JPEG quality setting. Default is 75.
    quality = 75

    # Anchor used when cropping pictures.
    # Default is "smart" which does Smart Cropping, using https://github.com/muesli/smartcrop
    # Smart Cropping is content aware and tries to find the best crop for each image.
    # Valid values are Smart, Center, TopLeft, Top, TopRight, Left, Right, BottomLeft, Bottom, BottomRight
    anchor = "smart"

    # Default background color.
    # Hugo will preserve transparency for target formats that supports it,
    # but will fall back to this color for JPEG.
    # Expects a standard HEX color string with 3 or 6 digits.
    # See https://www.google.com/search?q=color+picker
    bgColor = "#ffffff"

[imaging.exif]
     # Regexp matching the fields you want to Exclude from the (massive) set of Exif info
    # available. As we cache this info to disk, this is for performance and
    # disk space reasons more than anything.
    # If you want it all, put ".*" in this config setting.
    # Note that if neither this or ExcludeFields is set, Hugo will return a small
    # default set.
    includeFields = ""

    # Regexp matching the Exif fields you want to exclude. This may be easier to use
    # than IncludeFields above, depending on what you want.
    excludeFields = ""

    # Hugo extracts the "photo taken" date/time into .Date by default.
    # Set this to true to turn it off.
    disableDate = false

    # Hugo extracts the "photo taken where" (GPS latitude and longitude) into
    # .Long and .Lat. Set this to true to turn it off.
    disableLatLong = false

[[menu.shortcuts]]
name = "<i class='fas fa-tags'></i> Tags"
url = "/tags"
weight = 5

[[menu.shortcuts]]
name = "<i class='fab fa-github'></i> GitHub project"
identifier = "github"
url = "https://github.com/strolch-li"
weight = 10

[[menu.shortcuts]]
name = "<i class='fab fa-mastodon'></i> Mastodon"
identifier = "mastodon"
url = "https://mstdn.gsi.li/@eitch"
weight = 10
